## ros-humble-ur-msgs 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_msgs)

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(geometry_msgs REQUIRED)

set(msg_files
  msg/Analog.msg
  msg/Digital.msg
  msg/IOStates.msg
  msg/RobotStateRTMsg.msg
  msg/MasterboardDataMsg.msg
  msg/RobotModeDataMsg.msg
  msg/ToolDataMsg.msg
)

set(srv_files
  srv/SetPayload.srv
  srv/SetSpeedSliderFraction.srv
  srv/SetIO.srv
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces geometry_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-ur-msgs (2.0.0-2jammy) jammy; urgency=high

  * Porting to ros2 (#12 <https://github.com/destogl/ur_msgs/issues/12>)
  * Document pin mapping in SetIO service (#16 <https://github.com/destogl/ur_msgs/issues/16>)
  * Contributors: Denis Štogl, Felix Exner, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Apr 2022 07:00:00 -0000

ros-humble-ur-msgs (1.3.4-2jammy) jammy; urgency=high

  * Bump CMake version to ignore warning
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 25 May 2021 07:00:00 -0000

ros-humble-ur-msgs (1.3.3-2jammy) jammy; urgency=high

  * Migrate to Github Actions
  * Fix SetPayload srv separater invalid (#10 <https://github.com/ros-industrial/ur_msgs/issues/10>)
  * Contributors: Chen Bainian, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 25 May 2021 07:00:00 -0000

ros-humble-ur-msgs (1.3.2-2jammy) jammy; urgency=high

  * Fix domain constants in ``Analog.msg`` (#8 <https://github.com/ros-industrial/ur_msgs/issues/8>)
  * Contributors: Gaël Écorchard

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 12 Oct 2020 07:00:00 -0000

ros-humble-ur-msgs (1.3.1-2jammy) jammy; urgency=high

  * Change ``payload`` field name to ``mass`` (#5 <https://github.com/ros-industrial/ur_msgs/issues/5>)
  * Added ``center_of_gravity`` field to ``SetPayload`` service (#2 <https://github.com/ros-industrial/ur_msgs/issues/2>)
  * Mark package as architecture independent (#1 <https://github.com/ros-industrial/ur_msgs/issues/1>)
  * Contributors: Felix Exner, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 24 Jun 2020 07:00:00 -0000

ros-humble-ur-msgs (1.3.0-2jammy) jammy; urgency=high

  * First release of this package from its new repository.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Jun 2020 07:00:00 -0000

ros-humble-ur-msgs (1.2.7-2jammy) jammy; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sat, 23 Nov 2019 08:00:00 -0000

ros-humble-ur-msgs (1.2.6-2jammy) jammy; urgency=high

  * Added a service to set the speed slider position (#454 <https://github.com/ros-industrial/universal_robot/issues/454>)
  * Added a domain field to Analog.msg (#450 <https://github.com/ros-industrial/universal_robot/issues/450>)
  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Contributors: Felix Mauch

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 19 Nov 2019 08:00:00 -0000

ros-humble-ur-msgs (1.2.5-2jammy) jammy; urgency=high

  * Correct width and type of 'digital_*_bits'. (#416 <https://github.com/ros-industrial/universal_robot/issues/416>)
  * Clarify use of fields in SetIO svc. (#415 <https://github.com/ros-industrial/universal_robot/issues/415>)
  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Add RobotModeDataMsg (#395 <https://github.com/ros-industrial/universal_robot/issues/395>)
  * Update maintainer and author information.
  * Contributors: Felix von Drigalski, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Apr 2019 07:00:00 -0000

ros-humble-ur-msgs (1.2.1-2jammy) jammy; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sat, 06 Jan 2018 08:00:00 -0000

ros-humble-ur-msgs (1.2.0-2jammy) jammy; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 04 Aug 2017 07:00:00 -0000

ros-humble-ur-msgs (1.1.9-2jammy) jammy; urgency=high

  * No changes.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 02 Jan 2017 08:00:00 -0000

ros-humble-ur-msgs (1.1.8-2jammy) jammy; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 30 Dec 2016 08:00:00 -0000

ros-humble-ur-msgs (1.1.7-2jammy) jammy; urgency=high

  * Add message definition for ToolData.
  * Contributors: Nikolas Engelhard

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 08:00:00 -0000

ros-humble-ur-msgs (1.1.6-2jammy) jammy; urgency=high

  * Moved SetIO FUN constants from driver.py to relevant srv file for easier interaction from other files
  * catkin_lint
  * Contributors: Thomas Timm Andersen, ipa-fxm

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 01 Apr 2016 07:00:00 -0000

=== debian/control ===
Source: ros-humble-ur-msgs
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ur-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
Description: Message and service definitions for interacting with Universal Robots robot controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ur-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ur-msgs 2.0.1

=== debian/changelog ===
ros-humble-ur-msgs (2.0.1-1bookworm) bookworm; urgency=high

  * [ROS 2] Update README and ci (#31 <https://github.com/ros-industrial/ur_msgs/issues/31>)
  * Add a service to set an analog output (#30 <https://github.com/ros-industrial/ur_msgs/issues/30>)
  * Added service for getting the software version of the robot. (#25 <https://github.com/ros-industrial/ur_msgs/issues/25>)
  * ci: bump checkout and cache (#23 <https://github.com/ros-industrial/ur_msgs/issues/23>)
  * Contributors: Felix Exner, G.A. vd. Hoorn, URJala

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 06 Oct 2024 16:00:00 -0000

ros-humble-ur-msgs (2.0.0-1bookworm) bookworm; urgency=high

  * Porting to ros2 (#12 <https://github.com/destogl/ur_msgs/issues/12>)
  * Document pin mapping in SetIO service (#16 <https://github.com/destogl/ur_msgs/issues/16>)
  * Contributors: Denis Štogl, Felix Exner, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 11 Apr 2022 16:00:00 -0000

ros-humble-ur-msgs (1.3.4-1bookworm) bookworm; urgency=high

  * Bump CMake version to ignore warning
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 24 May 2021 16:00:00 -0000

ros-humble-ur-msgs (1.3.3-1bookworm) bookworm; urgency=high

  * Migrate to Github Actions
  * Fix SetPayload srv separater invalid (#10 <https://github.com/ros-industrial/ur_msgs/issues/10>)
  * Contributors: Chen Bainian, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 24 May 2021 16:00:00 -0000

ros-humble-ur-msgs (1.3.2-1bookworm) bookworm; urgency=high

  * Fix domain constants in ``Analog.msg`` (#8 <https://github.com/ros-industrial/ur_msgs/issues/8>)
  * Contributors: Gaël Écorchard

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 11 Oct 2020 16:00:00 -0000

ros-humble-ur-msgs (1.3.1-1bookworm) bookworm; urgency=high

  * Change ``payload`` field name to ``mass`` (#5 <https://github.com/ros-industrial/ur_msgs/issues/5>)
  * Added ``center_of_gravity`` field to ``SetPayload`` service (#2 <https://github.com/ros-industrial/ur_msgs/issues/2>)
  * Mark package as architecture independent (#1 <https://github.com/ros-industrial/ur_msgs/issues/1>)
  * Contributors: Felix Exner, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 23 Jun 2020 16:00:00 -0000

ros-humble-ur-msgs (1.3.0-1bookworm) bookworm; urgency=high

  * First release of this package from its new repository.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jun 2020 16:00:00 -0000

ros-humble-ur-msgs (1.2.7-1bookworm) bookworm; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 22 Nov 2019 16:00:00 -0000

ros-humble-ur-msgs (1.2.6-1bookworm) bookworm; urgency=high

  * Added a service to set the speed slider position (#454 <https://github.com/ros-industrial/universal_robot/issues/454>)
  * Added a domain field to Analog.msg (#450 <https://github.com/ros-industrial/universal_robot/issues/450>)
  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Contributors: Felix Mauch

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Nov 2019 16:00:00 -0000

ros-humble-ur-msgs (1.2.5-1bookworm) bookworm; urgency=high

  * Correct width and type of 'digital_*_bits'. (#416 <https://github.com/ros-industrial/universal_robot/issues/416>)
  * Clarify use of fields in SetIO svc. (#415 <https://github.com/ros-industrial/universal_robot/issues/415>)
  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Add RobotModeDataMsg (#395 <https://github.com/ros-industrial/universal_robot/issues/395>)
  * Update maintainer and author information.
  * Contributors: Felix von Drigalski, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 16:00:00 -0000

ros-humble-ur-msgs (1.2.1-1bookworm) bookworm; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Jan 2018 16:00:00 -0000

ros-humble-ur-msgs (1.2.0-1bookworm) bookworm; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 03 Aug 2017 16:00:00 -0000

ros-humble-ur-msgs (1.1.9-1bookworm) bookworm; urgency=high

  * No changes.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Jan 2017 16:00:00 -0000

ros-humble-ur-msgs (1.1.8-1bookworm) bookworm; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 16:00:00 -0000

ros-humble-ur-msgs (1.1.7-1bookworm) bookworm; urgency=high

  * Add message definition for ToolData.
  * Contributors: Nikolas Engelhard

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Dec 2016 16:00:00 -0000

ros-humble-ur-msgs (1.1.6-1bookworm) bookworm; urgency=high

  * Moved SetIO FUN constants from driver.py to relevant srv file for easier interaction from other files
  * catkin_lint
  * Contributors: Thomas Timm Andersen, ipa-fxm

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 31 Mar 2016 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ur-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ur-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ur-msgs//opt/ros/humble/opt/ur_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
